diff --git a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
index 542fcce..be4cd5d 100644
--- a/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
+++ b/MediaPortal/Source/Extensions/MetadataExtractors/OnlineLibraries/Libraries/Trakt/TraktAPI.cs
@@ -1085,39 +934,106 @@ namespace MediaPortal.Extensions.OnlineLibraries.Libraries.Trakt
         switch (type)
         {
           case SearchType.movies:
-            Thread tMovieSearch = new Thread(delegate(object obj) { results.Movies = SearchMovies(obj as string, maxResults); });
+            var tMovieSearch = new Thread(obj =>
+            {
+              var response = SearchMovies(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
             tMovieSearch.Start(searchTerm);
             tMovieSearch.Name = "Search";
             threads.Add(tMovieSearch);
             break;
 
           case SearchType.shows:
-            Thread tShowSearch = new Thread(delegate(object obj) { results.Shows = SearchShows(obj as string, maxResults); });
+            var tShowSearch = new Thread(obj =>
+            {
+              var response = SearchShows(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
             tShowSearch.Start(searchTerm);
             tShowSearch.Name = "Search";
             threads.Add(tShowSearch);
             break;
 
           case SearchType.episodes:
-            Thread tEpisodeSearch = new Thread(delegate(object obj) { results.Episodes = SearchEpisodes(obj as string, maxResults); });
+            var tEpisodeSearch = new Thread(obj =>
+            {
+              var response = SearchEpisodes(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
             tEpisodeSearch.Start(searchTerm);
             tEpisodeSearch.Name = "Search";
             threads.Add(tEpisodeSearch);
             break;
 
           case SearchType.people:
-            Thread tPeopleSearch = new Thread(delegate(object obj) { results.People = SearchPeople(obj as string, maxResults); });
+            var tPeopleSearch = new Thread(obj =>
+            {
+              var response = SearchPeople(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
             tPeopleSearch.Start(searchTerm);
             tPeopleSearch.Name = "Search";
             threads.Add(tPeopleSearch);
             break;
 
           case SearchType.users:
-            Thread tUserSearch = new Thread(delegate(object obj) { results.Users = SearchForUsers(obj as string, maxResults); });
+            var tUserSearch = new Thread(obj =>
+            {
+              var response = SearchUsers(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
             tUserSearch.Start(searchTerm);
             tUserSearch.Name = "Search";
             threads.Add(tUserSearch);
             break;
+
+          case SearchType.lists:
+            var tListSearch = new Thread(obj =>
+            {
+              var response = SearchLists(obj as string, maxResults);
+              if (response != null)
+              {
+                lock (searchLock)
+                {
+                  results.AddRange(response);
+                }
+              }
+            });
+            tListSearch.Start(searchTerm);
+            tListSearch.Name = "Search";
+            threads.Add(tListSearch);
+            break;
         }
       }
 
